package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 食材出库对象 hs_canteen_scck
 *
 * @author songyu
 * @date 2021-11-26
 */

@TableName("hs_canteen_scck")
public class HsCanteenScck
{
    private static final long serialVersionUID = 1L;

    /** 食材出库记录id */
    @TableId
    private String recordId;

    /** 出库种类 */
    @Excel(name = "出库种类")
    private String name;

    /** 出库数量 */
    @Excel(name = "出库数量")
    private BigDecimal amount;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 出库总金额 */
    @Excel(name = "出库总金额")
    private BigDecimal total;

    /** 出库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @Excel(name = "出库时间", width = 40, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date outTime;

    /** 机构id */
    @Excel(name = "机构id")
    private String jgid;

    @Excel(name = "出库备注")
    private String remark;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setRecordId(String recordId)
    {
        this.recordId = recordId;
    }

    public String getRecordId()
    {
        return recordId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setTotal(BigDecimal total)
    {
        this.total = total;
    }

    public BigDecimal getTotal()
    {
        return total;
    }
    public void setOutTime(Date outTime)
    {
        this.outTime = outTime;
    }

    public Date getOutTime()
    {
        return outTime;
    }
    public void setJgid(String jgid)
    {
        this.jgid = jgid;
    }

    public String getJgid()
    {
        return jgid;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("name", getName())
            .append("amount", getAmount())
            .append("unit", getUnit())
            .append("total", getTotal())
            .append("outTime", getOutTime())
            .append("remark", getRemark())
            .append("jgid", getJgid())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
